<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>BlockType (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BlockType (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":42,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockTypes.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/block/BlockType.html" target="_top">Frames</a></li>
<li><a href="BlockType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.block</div>
<h2 title="Class BlockType" class="title">Class BlockType</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.block.BlockType</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/registry/Keyed.html" title="interface in com.sk89q.worldedit.registry">Keyed</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BlockType</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/registry/Keyed.html" title="interface in com.sk89q.worldedit.registry">Keyed</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/registry/NamespacedRegistry.html" title="class in com.sk89q.worldedit.registry">NamespacedRegistry</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#REGISTRY">REGISTRY</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#BlockType-java.lang.String-">BlockType</a></span>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#BlockType-java.lang.String-java.util.function.Function-">BlockType</a></span>(java.lang.String&nbsp;id,
         java.util.function.Function&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>,<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&gt;&nbsp;values)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getAllStates--">getAllStates</a></span>()</code>
<div class="block">Gets a list of all possible states for this BlockType.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getDefaultState--">getDefaultState</a></span>()</code>
<div class="block">Gets the default state of this block type.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getFuzzyMatcher--">getFuzzyMatcher</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getId--">getId</a></span>()</code>
<div class="block">Gets the ID of this block.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getItemType--">getItemType</a></span>()</code>
<div class="block">Gets the item representation of this block type, if it exists.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getLegacyId--">getLegacyId</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html" title="interface in com.sk89q.worldedit.world.registry">BlockMaterial</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getMaterial--">getMaterial</a></span>()</code>
<div class="block">Get the material for this BlockType.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getName--">getName</a></span>()</code>
<div class="block">Gets the name of this block, or the ID if the name cannot be found.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;? extends <a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getProperties--">getProperties</a></span>()</code>
<div class="block">Gets the properties of this BlockType.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>&lt;V&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;V&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getProperty-java.lang.String-">getProperty</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Gets a property by name.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,? extends <a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getPropertyMap--">getPropertyMap</a></span>()</code>
<div class="block">Gets the properties of this BlockType in a <code>key-&gt;property</code> mapping.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#getState-java.util.Map-">getState</a></span>(java.util.Map&lt;<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;,java.lang.Object&gt;&nbsp;key)</code>
<div class="block">Gets a state of this BlockType with the given properties.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#hasItemType--">hasItemType</a></span>()</code>
<div class="block">Gets whether this block type has an item representation.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="REGISTRY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>REGISTRY</h4>
<pre>public static final&nbsp;<a href="../../../../../com/sk89q/worldedit/registry/NamespacedRegistry.html" title="class in com.sk89q.worldedit.registry">NamespacedRegistry</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&gt; REGISTRY</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BlockType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BlockType</h4>
<pre>public&nbsp;BlockType(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a name="BlockType-java.lang.String-java.util.function.Function-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BlockType</h4>
<pre>public&nbsp;BlockType(java.lang.String&nbsp;id,
                 java.util.function.Function&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>,<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&gt;&nbsp;values)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getId()</pre>
<div class="block">Gets the ID of this block.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/registry/Keyed.html#getId--">getId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/registry/Keyed.html" title="interface in com.sk89q.worldedit.registry">Keyed</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The id</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block">Gets the name of this block, or the ID if the name cannot be found.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The name, or ID</dd>
</dl>
</li>
</ul>
<a name="getPropertyMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPropertyMap</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,? extends <a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;&gt;&nbsp;getPropertyMap()</pre>
<div class="block">Gets the properties of this BlockType in a <code>key-&gt;property</code> mapping.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The properties map</dd>
</dl>
</li>
</ul>
<a name="getProperties--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProperties</h4>
<pre>public&nbsp;java.util.List&lt;? extends <a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;&gt;&nbsp;getProperties()</pre>
<div class="block">Gets the properties of this BlockType.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the properties</dd>
</dl>
</li>
</ul>
<a name="getProperty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProperty</h4>
<pre>public&nbsp;&lt;V&gt;&nbsp;<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;V&gt;&nbsp;getProperty(java.lang.String&nbsp;name)</pre>
<div class="block">Gets a property by name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The property</dd>
</dl>
</li>
</ul>
<a name="getDefaultState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultState</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;getDefaultState()</pre>
<div class="block">Gets the default state of this block type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The default state</dd>
</dl>
</li>
</ul>
<a name="getFuzzyMatcher--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFuzzyMatcher</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/FuzzyBlockState.html" title="class in com.sk89q.worldedit.world.block">FuzzyBlockState</a>&nbsp;getFuzzyMatcher()</pre>
</li>
</ul>
<a name="getAllStates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllStates</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&gt;&nbsp;getAllStates()</pre>
<div class="block">Gets a list of all possible states for this BlockType.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>All possible states</dd>
</dl>
</li>
</ul>
<a name="getState-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;getState(java.util.Map&lt;<a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;,java.lang.Object&gt;&nbsp;key)</pre>
<div class="block">Gets a state of this BlockType with the given properties.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The state, if it exists</dd>
</dl>
</li>
</ul>
<a name="hasItemType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasItemType</h4>
<pre>public&nbsp;boolean&nbsp;hasItemType()</pre>
<div class="block">Gets whether this block type has an item representation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>If it has an item</dd>
</dl>
</li>
</ul>
<a name="getItemType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemType</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&nbsp;getItemType()</pre>
<div class="block">Gets the item representation of this block type, if it exists.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The item representation</dd>
</dl>
</li>
</ul>
<a name="getMaterial--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaterial</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html" title="interface in com.sk89q.worldedit.world.registry">BlockMaterial</a>&nbsp;getMaterial()</pre>
<div class="block">Get the material for this BlockType.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The material</dd>
</dl>
</li>
</ul>
<a name="getLegacyId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLegacyId</h4>
<pre>@Deprecated
public&nbsp;int&nbsp;getLegacyId()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Gets the legacy ID. Needed for legacy reasons.

 DO NOT USE THIS.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>legacy id or 0, if unknown</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockTypes.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/block/BlockType.html" target="_top">Frames</a></li>
<li><a href="BlockType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
